#!/usr/bin/env python

import roslib; roslib.load_manifest('dummy_applications')
import rospy
import optparse
import actionlib
from application_msgs.msg import ApplicationAction

class Task():
    def __init__(self, ns):
        self.actionserver = actionlib.SimpleActionServer(ns, ApplicationAction, self.execute_cb)
        self.name = ns

    def execute_cb(self, goal):
        while not rospy.is_shutdown():
            rospy.loginfo('Testing task %s is running'%self.name)
            rospy.sleep(1.0)
        self.actionserver.set_preempted()        


def main():
    rospy.init_node('task_task')
    parser = optparse.OptionParser()
    (options, args) = parser.parse_args()
    ns = args[0]
    task = Task(ns)
    rospy.spin()    


if __name__ == '__main__':
    main()
